Su qualsiasi OS, un disco deve essere *partizionato* prima di poter essere utilizzato. Una **partizione** é un sottoinsieme logico del disco fisico. Le informazioni sulle partizioni sono archiviate in una *tabella delle partizioni*.

## MBR e GPT

Esistono due modi principali per memorizzare le informazioni sulle partizioni:

- MBR (*Master Boot Record*)
- GPT (*Guid Partition Table*)

### MBR

La tabella delle partizioni é memorizzata nel primo settore di un disco, chiamato *Boot Sector*, insieme a un bootloader, solitamente GRUB. Ha diverse limitazioni:

- incapacità di indirizzare dischi di dimensione superiore ai 2TB
- un massimo di 4 partizioni primarie per disco
- per rendere il disco avviabile, la prima partizione deve essere primaria 

Un disco MBR puo' avere due tipi differenti di partizioni: *primaria* ed *estesa*. In Linux sono trattate ugualmente, per cui non ci sono vantaggi nell'uso dell'una piuttosto che dell'altra.

### GPT

Risolve molti dei limiti di MBR. Non esiste un limite alla dimensione del disco e il numero massimo di partizioni dipende dal OS.

## fdisk

L'utilità standard per la gestione delle partizioni. 

```bash
fdisk -l /dev/sda

Disk /dev/sda: 465.76 GiB, 500107862016 bytes, 976773168 sectors
Disk model: CT500BX500SSD1
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: E224383F-FD8C-4067-8F01-09A7965B7EFA

Device     Start       End   Sectors   Size Type
/dev/sda1   2048 976773119 976771072 465.8G Linux filesystem
```

dove:

- `Device`: il dispositivo assegnato alla partizione     
- `Start`: il settore in cui inizia la partizione        
- `End`: il settore in cui termina la partizione    
- `Sectors`: il numero totale di settori della partizione
- `Size`: la dimensione della partizione 

